MMEvents.createStructures(event => {
    event.create("mm:smithing_structure")
        .controllerId("mm:smithing")
        .name("Smithing")
        .layout(a => {
            a.layer([
                "111",
                "141",
                "111"
                ]).layer([
                "151",
                "263",
                "1C1"
                ]).layer([
                "111",
                "111",
                "111"
                
                ]).key("1", {
                block: "kubejs:bleu_fonce"
                }).key("2", {
                block: "mm:item_smithing_input"
                }).key("3", {
                block: "mm:item_smithing_output"
                }).key("4", {
                block: "projectred_illumination:blue_inverted_illumar_lamp"
                }).key("5", {
                block: "mm:energy_smithing_input"
                }).key("6", {
                block: "minecraft:smithing_table"
           })
           }) 
        })